Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra.centralised
Class CentralisedFactory

    java.lang.Object
      jason.infra.centralised.CentralisedFactory

All Implemented Interfaces:
  InfrastructureFactory

    public class CentralisedFactory

extends java.lang.Object
implements InfrastructureFactory

Constructor Summary
`CentralisedFactory()`

Method Summary
`MASLauncherInfraTier` | `createMASLauncher()` Every infrastructure factory should be able to create an instance of MASLauncherInfraTier, this instance is used to start a new MAS execution.
`RuntimeServicesInfraTier` | `createRuntimeServices()` Every infrastructure factory should be able to create an instance of RuntimeServicesInfraTier, this instance provides services for controlling the MAS, as agent creation, destruction, etc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CentralisedFactory

    public CentralisedFactory()

Method Detail

### createMASLauncher

    public MASLauncherInfraTier createMASLauncher()

  Description copied from interface: `InfrastructureFactory`
  Every infrastructure factory should be able to create an instance of MASLauncherInfraTier, this instance is used to start a new MAS execution. It is normally used by JasonIDE.

  Specified by:
    `createMASLauncher` in interface `InfrastructureFactory`

### createRuntimeServices

    public RuntimeServicesInfraTier createRuntimeServices()

  Description copied from interface: `InfrastructureFactory`
  Every infrastructure factory should be able to create an instance of RuntimeServicesInfraTier, this instance provides services for controlling the MAS, as agent creation, destruction, etc. These services are normally used by user classes as AgArch and Environments.

  Specified by:
    `createRuntimeServices` in interface `InfrastructureFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD